@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&family=Roboto&display=swap');

*,
::after,
::before {
    box-sizing: border-box;
}

body{
    background: #F9FAFC;
    background-repeat: no-repeat;
    background-size: cover;
    font-family: 'Poppins' , sans-serif;
    margin:0;
}

a{
    cursor:pointer;
    text-decoration: none;
    font-family: 'Poppins' , sans-serif;
}

li{
    list-style:none;
}

/*Layout skeleton*/

.wrapper{
    align-items: stretch;
    display:flex;
    width:100%;
    height:auto;
}

#sidebar{
    max-width: 264px;
    min-width: 264px;
    transition: all 0.35s ease-in-out;
}

/*Sidebar collapsed*/

#sidebar.collapsed{
    margin-left:-264px;
}

.main{
    display:flex;
    flex-direction: column;
    min-height: 100vh;
    width:100%;
    overflow: hidden;
    transition: all 0.35s ease-in-out;
}

.sidebar-logo{
    padding: 1.15rem 1.5rem;
}

.sidebar-logo a{
    color:black;
    font-size: 1.25rem;
    font-weight: 600;
}

.sidebar-nav{
    padding:0;
}

.sidebar-header{
    color:black;
    font-size:  .75rem;
    padding: 1.5rem 1.5rem .375rem;
}

a.sidebar-link{
    padding: .625rem 1.625rem;
    color:black;
    position: relative;
    display:block;
    font-size:1rem;
}

.sidebar-link[data-bs-toggle="collapse"]::after {
    border: solid;
    border-width: 0 .075rem .075rem 0;
    content: "";
    display: inline-block;
    padding: 2px;
    position: absolute;
    right: 1.5rem;
    top: 1.4rem;
    transform: rotate(-135deg);
    transition: all .2s ease-out;
}

.sidebar-link[data-bs-toggle="collapse"].collapsed::after {
    transform:rotate(45deg);
    transition: all .2s ease-out;
}

.back_btn{
    background: #007fbb;
    color:white;
}
/* 样式化 Swal 弹窗外观 */
.swal2-container {
    font-family: 'Poppins' , sans-serif;
    /* 设置字体 */
}

/* 自定义按钮样式 */
.swal2-confirm,
.swal2-cancel {
    background-color: #3498db;
    /* 设置按钮背景颜色 */
    color: #ffffff;
    /* 设置按钮文字颜色 */
    padding: 10px 20px;
    /* 设置按钮内边距 */
    font-size: 16px;
    /* 设置按钮字体大小 */
}

.swal2-confirm:hover,
.swal2-cancel:hover {
    background-color: #2980b9;
    /* 鼠标悬停时的背景颜色 */
}

.swal2-popup .custom-label {
    text-align: left !important;
}/* 去除边框，添加灰色背景 */
#eventtitle {
    border: none;
    background-color: #aaa4a4; /* 这是默认灰色背景颜色 */
    transition: background-color 0.3s; /* 添加过渡效果 */
}

